# Uses of Class
org.springframework.asm.RecordComponentVisitor

Packages that use RecordComponentVisitor
Package
Description
org.springframework.asm
Spring's repackaging of ASM 9.x (with Spring-specific patches; for internal use only).

## Uses of RecordComponentVisitor in org.springframework.asm

Fields in org.springframework.asm declared as RecordComponentVisitor
Modifier and Type
Field
Description
`protected RecordComponentVisitor`
RecordComponentVisitor.`delegate`
The record visitor to which this visitor must delegate method calls.
Methods in org.springframework.asm that return RecordComponentVisitor
Modifier and Type
Method
Description
`RecordComponentVisitor`
RecordComponentVisitor.`getDelegate()`
The record visitor to which this visitor must delegate method calls.
`RecordComponentVisitor`
ClassVisitor.`visitRecordComponent(String name, String descriptor, String signature)`
Visits a record component of the class.
`final RecordComponentVisitor`
ClassWriter.`visitRecordComponent(String name, String descriptor, String signature)`
Constructors in org.springframework.asm with parameters of type RecordComponentVisitor
Modifier
Constructor
Description
`protected`
`RecordComponentVisitor(int api, RecordComponentVisitor recordComponentVisitor)`
Constructs a new `RecordComponentVisitor`.